Get Edit Template

Retrieve a saved edit template by ID.

Use this endpoint to inspect the source file, default edit configuration, and optional schema generation configuration saved on an edit template. You can reuse the returned config with POST /edit or POST /edit_runs, and reuse schemaConfig with POST /edit_schemas/generate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier for the edit template.

Example: "edt_xK9mLPqRtN3vS8wF5hB2cQ"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully retrieved edit template
objectenum

The type of object. Will always be "edit_template".

Allowed values:
idstring

A unique identifier for the edit template.

Example: "edt_xK9mLPqRtN3vS8wF5hB2cQ"

namestring
The name of the edit template.
descriptionstring or null
The description of the edit template, if one was provided.
fileobject
The source file associated with this edit template.
configobject
Default edit configuration saved on the template. Empty when no edit configuration was saved.
schemaConfigobject or null
Optional schema generation configuration saved on the template.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error